devguard

ControlsSlug

Get control details by slug.

GET
/controls/{slug}/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Path Parameters

slug*string

Query Parameters

organizationId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://app.devguard.ch/api/controls/string/?organizationId=string"
{
  "id": "string",
  "identifier": "string",
  "name": "string",
  "slug": "string",
  "type": "CATEGORY",
  "purpose": "string",
  "description": {},
  "isMandatory": true,
  "parentId": "string",
  "frameworkId": "string",
  "isCentralized": true,
  "createdAt": "string",
  "updatedAt": "string",
  "framework": {
    "id": "string",
    "name": "string",
    "identifier": "string",
    "identifierColor": "string",
    "version": "string",
    "isCentralized": true
  },
  "parent": {
    "id": "string",
    "identifier": "string",
    "name": "string",
    "slug": "string"
  },
  "children": [
    {
      "id": "string",
      "identifier": "string",
      "name": "string",
      "slug": "string",
      "type": "CATEGORY",
      "purpose": "string",
      "description": {},
      "isMandatory": true,
      "parentId": "string",
      "frameworkId": "string",
      "isCentralized": true,
      "createdAt": "string",
      "updatedAt": "string",
      "framework": {
        "id": "string",
        "name": "string",
        "identifier": "string",
        "identifierColor": "string",
        "version": "string"
      }
    }
  ],
  "coverages": [
    {
      "id": "string",
      "coverageStatus": "FULL",
      "coverageGap": "string",
      "frameworkAdoption": {
        "id": "string",
        "framework": {
          "name": "string",
          "identifier": "string"
        }
      },
      "linkedPolicies": [
        {
          "policy": {
            "id": "string",
            "title": "string",
            "slug": "string",
            "content": null
          }
        }
      ],
      "linkedAssets": [
        {
          "asset": {
            "id": "string",
            "name": "string",
            "slug": "string"
          }
        }
      ],
      "linkedRisks": [
        {
          "risk": {
            "id": "string",
            "name": "string",
            "slug": "string"
          }
        }
      ]
    }
  ],
  "sourceMatches": [
    {
      "id": "string",
      "matchLevel": "FULL",
      "matchedControl": {
        "id": "string",
        "identifier": "string",
        "name": "string",
        "slug": "string",
        "framework": {
          "id": "string",
          "name": "string",
          "identifier": "string",
          "identifierColor": "string"
        }
      }
    }
  ],
  "targetMatches": [
    {
      "id": "string",
      "matchLevel": "FULL",
      "control": {
        "id": "string",
        "identifier": "string",
        "name": "string",
        "slug": "string",
        "framework": {
          "id": "string",
          "name": "string",
          "identifier": "string",
          "identifierColor": "string"
        }
      }
    }
  ]
}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

How is this guide?